Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class Pool.Record

    java.lang.Object
      com.xensource.xenapi.Pool.Record

All Implemented Interfaces:
  Types.Record

Enclosing class:
  Pool

    public static class Pool.Record

extends Object
implements Types.Record

Represents all the fields in a Pool

Field Summary
`Map<String,Blob>` | `blobs` Binary blobs associated with this pool
`SR` | `crashDumpSR` The SR in which VDIs for crash dumps are created
`SR` | `defaultSR` Default SR for VDIs
`Map<String,String>` | `guiConfig` gui-specific configuration for pool
`Boolean` | `haAllowOvercommit` If set to false then operations which would cause the Pool to become overcommitted will be blocked.
`Map<String,String>` | `haConfiguration` The current HA configuration
`Boolean` | `haEnabled` true if HA is enabled on the pool, false otherwise
`Long` | `haHostFailuresToTolerate` Number of host failures to tolerate before the Pool is declared to be overcommitted
`Boolean` | `haOvercommitted` True if the Pool is considered to be overcommitted i.e.
`Long` | `haPlanExistsFor` Number of future host failures we have managed to find a plan for.
`Set<String>` | `haStatefiles` HA statefile VDIs in use
`Host` | `master` The host that is pool master
`Set<VDI>` | `metadataVDIs` The set of currently known metadata VDIs for this pool
`String` | `nameDescription` Description
`String` | `nameLabel` Short name
`Map<String,String>` | `otherConfig` additional configuration
`Boolean` | `redoLogEnabled` true a redo-log is to be used other than when HA is enabled, false otherwise
`VDI` | `redoLogVdi` indicates the VDI to use for the redo-log other than when HA is enabled
`Map<String,String>` | `restrictions` Pool-wide restrictions currently in effect
`SR` | `suspendImageSR` The SR in which VDIs for suspend images are created
`Set<String>` | `tags` user-specified tags for categorization purposes
`String` | `uuid` Unique identifier/object reference
`String` | `vswitchController` address of the vswitch controller
`Boolean` | `wlbEnabled` true if workload balancing is enabled on the pool, false otherwise
`String` | `wlbUrl` Url for the configured workload balancing host
`String` | `wlbUsername` Username for accessing the workload balancing host
`Boolean` | `wlbVerifyCert` true if communication with the WLB server should enforce SSL certificate verification.

Constructor Summary
`Pool.Record()`

Method Summary
`Map<String,Object>` | `toMap()` Convert a pool.Record to a Map
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### uuid

    public String uuid

  Unique identifier/object reference

### nameLabel

    public String nameLabel

  Short name

### nameDescription

    public String nameDescription

  Description

### master

    public Host master

  The host that is pool master

### defaultSR

    public SR defaultSR

  Default SR for VDIs

### suspendImageSR

    public SR suspendImageSR

  The SR in which VDIs for suspend images are created

### crashDumpSR

    public SR crashDumpSR

  The SR in which VDIs for crash dumps are created

### otherConfig

    public Map<String,String> otherConfig

  additional configuration

### haEnabled

    public Boolean haEnabled

  true if HA is enabled on the pool, false otherwise

### haConfiguration

    public Map<String,String> haConfiguration

  The current HA configuration

### haStatefiles

    public Set<String> haStatefiles

  HA statefile VDIs in use

### haHostFailuresToTolerate

    public Long haHostFailuresToTolerate

  Number of host failures to tolerate before the Pool is declared to be overcommitted

### haPlanExistsFor

    public Long haPlanExistsFor

  Number of future host failures we have managed to find a plan for. Once this reaches zero any future host failures will cause the failure of protected VMs.

### haAllowOvercommit

    public Boolean haAllowOvercommit

  If set to false then operations which would cause the Pool to become overcommitted will be blocked.

### haOvercommitted

    public Boolean haOvercommitted

  True if the Pool is considered to be overcommitted i.e. if there exist insufficient physical resources to tolerate the configured number of host failures

### blobs

    public Map<String,Blob> blobs

  Binary blobs associated with this pool

### tags

    public Set<String> tags

  user-specified tags for categorization purposes

### guiConfig

    public Map<String,String> guiConfig

  gui-specific configuration for pool

### wlbUrl

    public String wlbUrl

  Url for the configured workload balancing host

### wlbUsername

    public String wlbUsername

  Username for accessing the workload balancing host

### wlbEnabled

    public Boolean wlbEnabled

  true if workload balancing is enabled on the pool, false otherwise

### wlbVerifyCert

    public Boolean wlbVerifyCert

  true if communication with the WLB server should enforce SSL certificate verification.

### redoLogEnabled

    public Boolean redoLogEnabled

  true a redo-log is to be used other than when HA is enabled, false otherwise

### redoLogVdi

    public VDI redoLogVdi

  indicates the VDI to use for the redo-log other than when HA is enabled

### vswitchController

    public String vswitchController

  address of the vswitch controller

### restrictions

    public Map<String,String> restrictions

  Pool-wide restrictions currently in effect

### metadataVDIs

    public Set<VDI> metadataVDIs

  The set of currently known metadata VDIs for this pool

Constructor Detail

### Pool.Record

    public Pool.Record()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toMap

    public Map<String,Object> toMap()

  Convert a pool.Record to a Map

  Specified by:
    `toMap` in interface `Types.Record`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD